
Redmine - Feature #867

Want more wiki link types

2008-03-15 02:31 - John Goerzen

Status: Closed Start date: 2008-03-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I'm used to using these on Trac and am missing all of them in Redmine:

source:                        -- link to repository home page

source:/trunk/foo              -- link to file at current version

source:/blah/bar.txt@1234      -- link to file or dir at given rev

                               -- add #L25 to any of the above to go to specific line

 Trac didn't have these, but they would make a lot of sense in Redmine:

files:                         -- Downloads home page

files:foo-1.3.5.tar.gz         -- Download named file

files:foo.tar.gz@15            -- Download named file at given version

forums:                        -- Main forums page.

                               -- Should also have a way to link to 

                               -- a particular forum, thread, or post.

 Also, links into the roadmap, activity, overview, and overall projects page would be useful.

Currently all of the above I have to hardcode as URLs.

Related issues:

Related to Redmine - Feature #2069: Wiki syntax to link to files in the files... New 2008-10-22

Related to Redmine - Feature #4179: Link to user in wiki syntax Closed 2009-11-08

Associated revisions

Revision 1267 - 2008-03-17 18:45 - Jean-Philippe Lang

Add Redmine links for repository files using source: and export: keyworkds (#867).

History

#1 - 2008-03-17 18:50 - Jean-Philippe Lang

- % Done changed from 0 to 50

Links to repository files committed in r1267. Here are some examples:

source:some/file          -- Link to the file located at /some/file in the project's repository

source:some/file@52       -- Link to the file's revision 52

source:some/file#L120     -- Link to line 120 of the file

source:some/file@52#L120  -- Link to line 120 of the file's revision 52

export:some/file          -- Force the download of the file

 Note that source: alone won't work.

#2 - 2008-03-18 14:37 - Jos Yule

Wow, those are great! I don't know when i'll use them, but i can see them coming in handy sometime.

#3 - 2008-07-08 18:44 - Paul Rivier

- Assignee set to Jean-Philippe Lang

2025-05-17 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/1267


I would prefer the link to point to the "changes" page rather than to the "entry" page. With interlinks, it makes more sens to me to land on a page

describing the history of the file in the project rather than to download directly the file. WDYT ?

#4 - 2010-10-29 13:02 - Patrick Meidl

what would also be great is a link to the user profile as suggested in issue #1629, note 10.

#5 - 2011-08-22 14:14 - Etienne Massip

- Category set to Text formatting

#6 - 2013-03-17 05:44 - Mischa The Evil

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- % Done changed from 50 to 0

- Resolution set to Fixed

Paul Rivier wrote:

I would prefer the link to point to the "changes" page rather than to the "entry" page. With interlinks, it makes more sens to me to land on a page

describing the history of the file in the project rather than to download directly the file. WDYT ?

 Please open a new issue for this if this is still wanted.

Repository links (source:/export:) are implemented. Files links and User profile links are still missing but they have there own issues (#2069 and 

#4179).
